Summary: Interactive function grapher
Summary(fr): traceur de fonctions interactif
Name: mathplot
Version: 0.8.1
Release: 1mdk
License: GPL
Group: Sciences/Mathematics
Url: http://www.chez.com/prigaux/mathplot.html
Source: ftp://sunsite.unc.edu/pub/Linux/science/visualization/plotting/mathplot-%version.src.tar.bz2
Source4: %{name}.menu
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}
BuildRequires: ocaml >= 3.00 ocamltk XFree86-devel gpm-devel ImageMagick ncurses-devel tcl tk

%description
mathplot is a GUI frontend  for  interactive  graphing  of
functions.   mathplot2ps  is  a  batch program to generate
PostScript output.

You can have both equations (y=f(x)  or  f(x,y)=g(x))  and
inequations.  For inequations, mathplot hatches the inter-
section. For example, with y>0, y<x and x<2 it hatches the
solution which is a triangle.
You  can name a point, anywhere or on a function.  You can
ask for the tangent of a function.
As it uses a symbolic library,  you  can  enter  functions
like "x+1/y=2".
Can  find  root (zeros), extrema (even symbolically, some-
times) and intersection of 2 functions.
mathplot exports in PostScript so that you can print  eas-
ily, and with the reference mark (O, i, j).
You  can  save  and  load files. mathplot2ps can transform
these files into PostScript.
It's written in OCaml using the Tk  toolkit  for  the  GUI
frontend

%description -l fr
mathplot est un programme interactif pour tracer des fonctions.
mathplot2ps est un filtre gnrant du PostScript.

On peut donner  la fois des quations (y=f(x) ou mme f(x,y)=g(x))
et des inquations. Pour les inquations, mathplot hachure l'intersection.
Par exemple, pour y>0, y<x et x<2 il hachure la solution, ici un triangle.
On peut nommer des points appartenant ou non  une fonction.
On peut demander la tangente en un point d'une fonction.
Comme mathplot utilise une librairie de calcul symbolique, il est
capable de tracer les fonctions du type "x+1/y=2".
Trouve les racines, les extremas (des fois, il trouve mme la solution
exacte symboliquement) et les points d'intersections de fonctions.
mathplot exporte en PostScript pour pouvoir imprimer, et il indique le
repre (O, i, j) (s'il est visible :)
Possibilit de sauvegarder et relire des fichiers.

mathplot est crit en OCaml + Tk


%prep
%setup -n %{name}

%build
CFLAGS="$RPM_OPT_FLAGS" make docdir=%{_docdir} mandir=%{_mandir} bindir=%{_bindir} libdir=%{_libdir} docs bin 

%install
rm -rf $RPM_BUILD_ROOT
make docdir=$RPM_BUILD_ROOT%{_docdir} \
     mandir=$RPM_BUILD_ROOT%{_mandir} \
     bindir=$RPM_BUILD_ROOT%{_bindir} \
     libdir=$RPM_BUILD_ROOT%{_libdir} \
     install

install -d $RPM_BUILD_ROOT%{_iconsdir}/{mini,large}
convert icons/mathplot-icon.gif $RPM_BUILD_ROOT%{_iconsdir}/mathplot.xpm
convert icons/mathplot-icon-large.gif $RPM_BUILD_ROOT%{_iconsdir}/large/mathplot.xpm
convert icons/mathplot-icon-mini.gif $RPM_BUILD_ROOT%{_iconsdir}/mini/mathplot.xpm

install -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_menudir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/%{name}*
%{_mandir}/*/*
%{_menudir}/*
%{_iconsdir}/%{name}*
%{_iconsdir}/*/*

%changelog
* Thu Dec 13 2001 Pixel <pixel@mandrakesoft.com> 0.8.1-1mdk
- build version (a few adaptations for OCaml 3.0.4)

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8.0-3mdk
- BuildRequires: ImageMagick

* Thu Jul 26 2001 Pixel <pixel@mandrakesoft.com> 0.8.0-2mdk
- rebuild

* Fri Nov 17 2000 Pixel <pixel@mandrakesoft.com> 0.8.0-1mdk
- new version for maman:
   * KP_Enter now working do define a new function
   * x is now rewritten in x^2
   * when creating new points, it gives an usused name (A, B...)
   * FocusOut on range entries is the same as doing Return

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.7.6-4mdk
- capitalize

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 0.7.6-3mdk
- add packager field

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.6-2mdk
- automatically added BuildRequires

* Sun Aug  6 2000 Pixel <pixel@mandrakesoft.com> 0.7.6-1mdk
- new version (fix tcl/tk lib require)

* Sat Jul 22 2000 Pixel <pixel@mandrakesoft.com> 0.7.5-1mdk
- new version

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.7.4-1mdk
- new version
- macroization
- BM

* Wed May  3 2000 Pixel <pixel@mandrakesoft.com> 0.7.3-1mdk
- new version using labltk
- added icons for menu

* Wed Mar 29 2000 Pixel <pixel@mandrakesoft.com> 0.7.2-5mdk
- add menu

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.7.2-4mdk
- new group + cleanup

* Mon Dec  6 1999 Pixel <pixel@linux-mandrake.com>
- rebuild with ocaml 2.04

* Fri Nov 26 1999 Pixel <pixel@linux-mandrake.com>
- rebuild with ocaml 2.03

* Tue Nov 23 1999 Pixel <pixel@linux-mandrake.com>
- 0.7.2

